%define name MHonArc
%define version 2.6.16
%define release %mkrel 2

Summary:	A Perl mail-to-HTML converter
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/WWW
URL:		http://www.mhonarc.org/
Source:		http://www.mhonarc.org/release/MHonArc/tar/%{name}-%{version}.tar.bz2
Patch0:         MHonArc-2.6.15-fix-perl.patch 
Requires:	perl >= 0:5.601
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}%{version}

%description
MHonArc provides HTML mail archiving with index, mail thread linking, etc; plus
other capabilities including support for MIME and powerful user customization
features. 

%prep

%setup -q 
%patch0 -p0

%build

%install
rm -rf %{buildroot}

perl install.me -batch -libpath %{buildroot}%{_libdir}/MHonArc -nodoc \
	-manpath %{buildroot}%{_mandir} -binpath %{buildroot}%{_bindir}

# just in case
cd %{buildroot}
find . -type f -exec perl -pi -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ACKNOWLG BUGS CHANGES README.txt RELNOTES
%doc doc examples extras logo
%{_bindir}/*
%{_libdir}/MHonArc
%{_mandir}/*/*


%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.6.16-2mdv2008.1
+ Revision: 153076
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 23 2007 Christiaan Welvaart <spturtle@mandriva.org> 2.6.16-1mdv2008.0
+ Revision: 30135
- Import MHonArc




* Wed Jan 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.6.16-1mdv2007.0
+ Revision: 109965
- New version 2.6.16
- Import MHonArc



* Fri Nov 18 2005 Frederic Lepied <flepied@mandriva.com> 2.6.15-1mdk
- New release 2.6.15

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.6.10-2mdk
- Rebuild

* Mon May 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.6.10-1mdk
- 2.6.10

* Tue May 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.6.9-1mdk
- 2.6.9

* Wed Aug 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.8-1mdk
- 2.6.8

* Mon Jul 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.6-1mdk
- 2.6.6

* Sun Apr 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.3-1mdk
- 2.6.3

* Thu Mar 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.2-1mdk
- 2.6.2

* Mon Feb 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.1-1mdk
- 2.6.1

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.0-1mdk
- 2.6.0

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5.14-2mdk
- rebuild

* Sun Jan 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.14-1mdk
- security release
- misc spec file fixes

* Tue Oct 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.13-1mdk
- 2.5.13

* Tue Jul 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.10-1mdk
- 2.5.10

* Mon Jul 22 2002  Lenny Cartier <lenny@mandrakesoft.com> 2.5.9-1mdk
- 2.5.9

* Fri Jul 12 2002 Pixel <pixel@mandrakesoft.com> 2.5.7-2mdk
- remove "AutoReqProv: no" (it doesn't change anything)
- rebuild for new perl 5.8.0

* Mon Jun 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.7-1mdk
- 2.5.7

* Tue Jun 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.6-1mdk
- 2.5.6

* Tue May 28 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.5.5-1mdk
- 2.5.5
- quiet the %%setup

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.3-1mdk
- 2.5.3

* Wed Jun 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4.9-1mdk
- License
- updated to 2.4.9

* Sat Apr 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.8-1mdk
- Build a 2.4.8.

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4.7-2mdk
- clean spec

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.7-1mdk
- shamelessly ripped from RedHat contribs.
 
* Fri Feb 18 2000 Yuri Detzel <yad@mail.ru>
- Updated to version 2.4.5
- Fixed rewriting and deleting files in lib directory
  during building of RPM package
- Updated to new url of MHonArc home page
    
* Wed Aug 18 1999 Chuck Mead <csm@lunar-penguin.com>
- Updated to version 2.4.3
     
* Sat Jun 26 1999 Jeff Breidenbach <jeff@alum.mit.edu>
- Updated to version 2.4.0
      
* Wed Nov 18 1998 Jeff Breidenbach <jeff@alum.mit.edu>
- Added utilities to RPM (mha-dbedit, mha-dbrecover)
       
* Wed Nov 11 1998 Jeff Breidenbach <jeff@alum.mit.edu>
- Removed "BuildRoot:" to fix path problem.
        
* Mon Nov 9 1998 Jeff Breidenbach <jeff@alum.mit.edu>
- updated to version 2.3.3
- updated Perl requirement to perl 5.
- Removed RPM patch; used install.me command line options instead
	 
* Tue Oct 27 1998 Jeff Breidenbach <jeff@alum.mit.edu>
- updated to version 2.3.1
	  
* Wed Apr 1 1998 Stig HackVn <stig@hackvan.com>
- removed bogus "%%dep" macro from %%install script
- removed bogus %%doc tags from the /usr/{bin,lib} files
- moved to noarch architecture
	   
* Wed Mar 3 1998 Jeff Breidenbach <jeff@jab.org>
- built new version under RedHat Hurricane w/ glibc
	    
* Wed Nov 19 1997 Greg Boehnlein <damin@nacs.net>
- rebuilt under RedHat Mustang w/ glibc
	     
* Sat Nov 08 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- started from a contrib'ed RPM for version 1.2.3.  There was no
  identification of the original packager.
- lots of clean-up
- BuiltRoot'ed  
